/*
 *  
 *  Copyright © 2008 Colomban "Ban" Wendling <ban@herbesfolles.org>
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *  
 */

/*
 * Creation date: Tue Nov 25 14:50:49 2008 +0100
 * Revision date: Tue Nov 25 15:23:30 2008 +0100
 */


#include <glib-object.h>
#include <gtk/gtkbutton.h>


#ifndef H_GTK_CLOSE_TAB_BUTTON
#define H_GTK_CLOSE_TAB_BUTTON


G_BEGIN_DECLS


#define GEANY_TYPE_CLOSE_TAB_BUTTON				(geany_close_tab_button_get_type())
#define GEANY_CLOSE_TAB_BUTTON(obj)				(G_TYPE_CHECK_INSTANCE_CAST((obj), GEANY_TYPE_CLOSE_TAB_BUTTON, GeanyCloseTabButton))
#define GEANY_CLOSE_TAB_BUTTON_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST((klass), GEANY_TYPE_CLOSE_TAB_BUTTON, GeanyCloseTabButtonClass))
#define GEANY_IS_CLOSE_TAB_BUTTON(obj)			(G_TYPE_CHECK_INSTANCE_TYPE((obj), GEANY_TYPE_CLOSE_TAB_BUTTON))
#define GEANY_IS_CLOSE_TAB_BUTTON_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE((klass), GEANY_TYPE_CLOSE_TAB_BUTTON))
#define GEANY_CLOSE_TAB_BUTTON_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS((obj), GEANY_TYPE_CLOSE_TAB_BUTTON, GeanyCloseTabButtonClass))


typedef struct _GeanyCloseTabButton			GeanyCloseTabButton;
typedef struct _GeanyCloseTabButtonClass	GeanyCloseTabButtonClass;
typedef struct _GeanyCloseTabButtonPrivate	GeanyCloseTabButtonPrivate;

struct _GeanyCloseTabButton
{
	GtkButton parent;
	
	GeanyCloseTabButtonPrivate* priv;
};

struct _GeanyCloseTabButtonClass
{
	GtkButtonClass parent_class;
};


GType		geany_close_tab_button_get_type	(void) G_GNUC_CONST;
GtkWidget*	geany_close_tab_button_new		(void);


G_END_DECLS


#endif /* guard */
